<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:camed="http://jcam.org.uk/editor" xmlns:eg="http://examplotron.org/0/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dd="http://xml.btlabs.bt.co.uk/datadictionary" xmlns:saxon="http://icl.com/saxon" xmlns:xlink="http://www.w3.org/1999/xlink" exclude-result-prefixes="saxon xlink eg dd xsi" extension-element-prefixes="saxon" xmlns:as="http://www.oasis-open.org/committees/cam">
	<xsl:param name="file">File name</xsl:param>
	<xsl:param name="path">d:/documents%20and%20settings/802051682/My%20Documents/MyProjects/research/jcamresreach/EMP%20Phase%203%20-%2001-09-2006%201054/Fulfilment%20Examples%20MPF/CAM%20Templates</xsl:param>
	<xsl:output method="html" />
	<xsl:include href="namespaceEXSL.xsl"/>
	<xsl:include href="verb.xsl"/>
	<xsl:variable name="nbsp">&#160;&#160;</xsl:variable>
<!--java -jar d:\saxon6.5.5\saxon.jar -w0 -o %3  %1 %2-->
	<xsl:template match="/">
		<xhtml>
			<body>
				<xsl:apply-templates select="//as:Header"/>
				<xsl:apply-templates select="//as:AssemblyStructure"/>
				<xsl:apply-templates select="//as:BusinessUseContext"/>
				<xsl:apply-templates select="/as:CAM/as:include" mode="extension"/>
			</body>
		</xhtml>
	</xsl:template>


	<xsl:template match="as:Header">
		<h1>CAM Template: <xsl:value-of select="$file"/></h1>
		<p><xsl:value-of select="$path"/></p>
		<table border="1" width="100%">
			<tr>
				<td width="20%">Owner</td>
				<th width="80%">
					<xsl:value-of select="as:Owner"/>
				</th>
			</tr>
			<tr>
				<td>Version</td>
				<th>
					<xsl:value-of select="as:Version"/>
				</th>
			</tr>
			<tr>
				<td>Description</td>
				<td>
					<xsl:value-of select="as:Description"/>
				</td>
			</tr>
			<tr>
				<td>Date</td>
				<td>
					<xsl:value-of select="as:DateTime"/>
				</td>
			</tr>
		</table>
		<xsl:apply-templates select="as:Parameters"/>
		<xsl:apply-templates select="as:Imports"/>
		<xsl:apply-templates select="as:Properties"/>
	</xsl:template>

	<xsl:template match="as:Parameters">
		<h2>Parameters</h2>
		<table border="1">
			<tr>
				<th>Name</th>
				<th>Usage</th>
				<th>Values</th>
				<th>Default Value</th>
				<th>xpath</th>
			</tr>
			<xsl:apply-templates select="as:Parameter"/>
		</table>
	</xsl:template>

	<xsl:template match="as:Parameter">
		<tr>
			<td>
				<xsl:value-of select="@name"/>
			</td>
			<td>
				<xsl:value-of select="@use"/>
			</td>
			<td>
				<xsl:value-of select="@values"/>
				<xsl:value-of select="$nbsp"/>
			</td>
			<td>
				<xsl:value-of select="@default"/>
				<xsl:value-of select="$nbsp"/>
			</td>
			<td>
				<xsl:value-of select="@xpath"/>
				<xsl:value-of select="$nbsp"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="as:AssemblyStructure">
		<h1>Assembly Structures</h1>
		<table border="1" width="100%">
			<tr>
				<td>
					<xsl:apply-templates select="as:Structure"/>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="as:Structure">
		<table border="1" width="100%">
			<tr>
				<th colspan="3" align="left">Structure</th>
			</tr>
			<tr>
				<th>ID</th>
				<th>Reference</th>
				<th>Taxonomy</th>
			</tr>
			<tr>
				<td>
					<xsl:value-of select="@ID"/>
				</td>
				<td>
					<xsl:value-of select="@reference"/>
				</td>
				<td>
					<xsl:value-of select="@taxonomy"/>
				</td>
			</tr>
			<tr>
				<td colspan="3">
					<xsl:variable name="str">
						<xsl:copy-of select="*"/>
					</xsl:variable>
					<pre>
						<xsl:apply-templates select="*" mode="verb1"/>
					</pre>
				</td>
			</tr>
		</table>

		<xsl:apply-templates select=".//as:include"/>
	</xsl:template>

	<xsl:template match="as:include">
		<h2>Included File name <xsl:value-of select="."/></h2>
		<xsl:variable name="filename"><xsl:value-of select="$path"/>/<xsl:value-of select="."/></xsl:variable>
		<p><xsl:value-of select="$filename"/></p>
		<table border="1">
			<tr>
				<td colspan="2">
					<pre>
						<xsl:apply-templates select="document($filename)/*" mode="verb1"/>
					</pre>
				</td>
			</tr>
		</table>
	</xsl:template>


	<xsl:template match="as:BusinessUseContext">
		<h1>Business Rules</h1>
		<h2>Default Rules</h2>
		<table border="1">
			<tr>
				<td>
					<pre>
						<xsl:apply-templates select="as:Rules/as:default/*" mode="verb"/>
					</pre>
				</td>
			</tr>
		</table>
		<h2>Context Rules</h2>
		<table border="1">
			<tr>
				<td>
					<pre>
						<xsl:apply-templates select="as:Rules/as:context" mode="verb"/>
					</pre>
				</td>
			</tr>
		</table>
	</xsl:template>


	<xsl:template match="as:include" mode="extension">

		<tr>
			<td>File name</td>
			<th>
				<xsl:value-of select="."/>
			</th>
		</tr>
		<tr>
			<td colspan="2">
				<xsl:for-each select="document(.)//camed:annotation">
					<xsl:sort select="@item"/>
						<xsl:apply-templates select="." mode="extension"/>
				</xsl:for-each>
			</td>
		</tr>
	</xsl:template>


	<xsl:template match="camed:annotation" mode="extension">
		<!--	<tr>
	<th colspan="3">
	Annotation for <xsl:value-of select="@item"/>
	</th>
	</tr>-->
		<table border="1" width="100%">
			<tr>
				<th align="left" valign="top" rowspan="2" width="20%">
					<xsl:value-of select="@item"/>
				</th>
				<xsl:apply-templates select="camed:documentation" mode="extension"/>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="camed:documentation" mode="extension">
		<td valign="top" width="33%">
			<table>
				<tr>
					<th style="font-size:8pt">
						<xsl:value-of select="@type"/>
					</th>
				</tr>
				<tr>
					<td style="font-size:8pt">
						<xsl:value-of select="."/>
					</td>
				</tr>
			</table>
		</td>
	</xsl:template>
	<xsl:template match="text()"/>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2002 eXcelon Corp.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\MyProjects\research\jcamresreach\EMP Phase 3 &#x2D; 01&#x2D;09&#x2D;2006 1054\Fulfilment Examples MPF\CAM Templates\AddOrder &#x2D; version 0.6.cam" htmlbaseurl="" processortype="custom" commandline="java &#x2D;jar d:\saxon8.8\saxon8.jar &#x2D;w0 &#x2D;o %3  %1 %2" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" ><parameterValue name="path" value="'d:/documents%20and%20settings/802051682/My%20Documents/MyProjects/research/jcamresreach/EMP%20Phase%203%20&#x2D;%2001&#x2D;09&#x2D;2006%201054/Fulfilment%20Examples%20MPF/CAM%20Templates'"/></scenario></scenarios><MapperInfo srcSchemaPath="" srcSchemaRoot="" srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
</metaInformation>
-->